| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::GeoIfaceGlobalObject Class Reference

Global object for geolocation interface to hold items common to all geolocation interface Widget instances.

Inheritance diagram for Digikam::GeoIfaceGlobalObject:

## Public Member Functions
Shared pixmaps
QPixmap | getMarkerPixmap (const QString &pixmapId)
QPixmap | getStandardMarkerPixmap ()
QUrl | locateDataFile (const QString &filename)

## Static Public Member Functions
static GeoIfaceGlobalObject * | instance ()

## Shared internal map widgets
class | GeoIfaceGlobalObjectCreator
void | removeMyInternalWidgetFromPool (const MapBackend *const mapBackend)
bool | getInternalWidgetFromPool (const MapBackend *const mapBackend, GeoIfaceInternalWidgetInfo *const targetInfo)
void | addMyInternalWidgetToPool (const GeoIfaceInternalWidgetInfo &info)
void | updatePooledWidgetState (const QWidget *const widget, const GeoIfaceInternalWidgetInfo::InternalWidgetState newState)
void | clearWidgetPool ()